﻿@model BeerOverflow.Web.Models.BreweryViewModel
@{
    ViewData["Title"] = "Details";
}

<h1 style="color:#b58900">@Model.Name</h1>

<div class="row featurette">
    <div class="col-md-7 order-md-2">
        <p class="lead"><h4 style="color:#b58900">Country origin: </h4> <h6>@Model.CountryName</h6></p>
    </div>
    <div class="col-md-5 order-md-1">
        <img class="rounded-circle" src="https://static.independent.co.uk/s3fs-public/thumbnails/image/2019/10/02/09/beer-history-larger.jpg" alt="Generic placeholder image" width="300" height="300">
    </div>
</div>
<center>
    <h3>Beers produced in this brewery.</h3>
</center>
<table class="table">
    <thead>
        <tr>
            <th style="color:#b58900">
                Name
            </th>
            <th style="color:#b58900">
                CountryName
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model.Beers)
        {
            <tr style="color:white">
                <td>
                    @Html.DisplayFor(modelItem => item.Name)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.CountryName)
                </td>
                <td>
                    <a style="color:white" asp-controller="Beer"  asp-action="Details" asp-route-id="@item.Id">Details</a>
                </td>
            </tr>
        }
    </tbody>
</table>
